Bug 877358 (CVE-2012-5510)

Summary: CVE-2012-5510 kernel: xen: Grant table version switch list corruption vulnerability
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, dhoward, drjones, imammedo, lersek, lwang, mrezanin, pbonzini, plougher, rvrbovsk, security-response-team, sforsber, tburke, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121203,reported=20121115,source=upstream,cvss2=5.5/AV:A/AC:L/Au:S/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 10:02:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 883082    
Bug Blocks: 877406    

Description Petr Matousek 2012-11-16 05:52:07 EST
Downgrading the grant table version of a guest involves freeing its
status pages. This freeing was incomplete - the page(s) are freed back
to the allocator, but not removed from the domain's tracking
list. This would cause list corruption, eventually leading to a
hypervisor crash.
                                                                                                                                                             
A malicious guest administrator can cause Xen to crash, leading to a
denial of service attack.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2012-11-16 05:58:44 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-12-03 13:07:33 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 883082]
Comment 5 Fedora Update System 2012-12-11 19:16:04 EST
xen-4.2.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-13 01:00:08 EST
xen-4.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-12-15 12:55:36 EST
xen-4.1.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.